The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

GD install fails !!!

Discussion in 'General Discussion' started by IT Hosting, Oct 3, 2002.

  1. IT Hosting

    IT Hosting Member

    Joined:
    Jun 20, 2002
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    Heres what I get when I try to install GD...any suggesetions?

    --------------------------

    Attempting to install GD

    spawn /usr/local/cpanel/whostmgr/bin/perlmod -i
    GD

    CPAN: Storable loaded ok
    Going to read /root/.cpan/Metadata
    Database was generated on Wed, 02 Oct 2002 14:22:10 GMT
    File::Spec is up to date.
    Digest::MD5 is up to date.
    Compress::Zlib is up to date.
    Archive::Tar is up to date.
    Data::Dumper is up to date.
    Net::Telnet is up to date.
    Net::Cmd is up to date.
    Term::ReadKey is up to date.
    Term::ReadLine::Perl is up to date.
    CPAN::WAIT is up to date.
    CPAN is up to date.
    Running install for module GD
    Running make for L/LD/LDS/GD-2.01.tar.gz
    CPAN: Digest::MD5 loaded ok
    CPAN: Compress::Zlib loaded ok
    Checksum for /root/.cpan/sources/authors/id/L/LD/LDS/GD-2.01.tar.gz ok
    Scanning cache /root/.cpan/build for sizes
    GD-2.01/
    GD-2.01/t/
    GD-2.01/t/GD.t
    GD-2.01/t/Polyline.t
    GD-2.01/t/test.out.1.png
    GD-2.01/t/test.out.2.png
    GD-2.01/t/test.out.3.png
    GD-2.01/t/test.out.4.png
    GD-2.01/t/test.out.5.png
    GD-2.01/t/test.out.6.png
    GD-2.01/t/test.out.7.png
    GD-2.01/t/test.out.8.png
    GD-2.01/t/test.out.9.png
    GD-2.01/t/Generic.ttf
    GD-2.01/t/frog.jpg
    GD-2.01/t/frog.xpm
    GD-2.01/t/tile.png
    GD-2.01/t/palettemap.png
    GD-2.01/t/test.out.10.png
    GD-2.01/GD/
    GD-2.01/GD/Polyline.pm
    GD-2.01/patch_gd.pl
    GD-2.01/GD.pm
    GD-2.01/GD.xs
    GD-2.01/demos/
    GD-2.01/demos/brushes.pl
    GD-2.01/demos/font_list.png
    GD-2.01/demos/fonttest
    GD-2.01/demos/polys.pl
    GD-2.01/demos/fills.pl
    GD-2.01/demos/truetype_test
    GD-2.01/demos/shapes.pl
    GD-2.01/demos/copies.pl
    GD-2.01/demos/ttf.pl
    GD-2.01/demos/gd_example.cgi
    GD-2.01/demos/tile.png
    GD-2.01/demos/polyline.pl
    GD-2.01/demos/transform.pl
    GD-2.01/qd.pl
    GD-2.01/README
    GD-2.01/Makefile.PL
    GD-2.01/README.QUICKDRAW
    GD-2.01/typemap
    GD-2.01/bdf_scripts/
    GD-2.01/bdf_scripts/README
    GD-2.01/bdf_scripts/cvtbdf.pl
    GD-2.01/bdf_scripts/bdftogd
    GD-2.01/README.unix
    GD-2.01/ChangeLog
    GD-2.01/MANIFEST
    Removing previously used /root/.cpan/build/GD-2.01

    CPAN.pm: Going to build L/LD/LDS/GD-2.01.tar.gz

    NOTICE: This module requires libgd 2.0.1 or higher.
    For earlier versions of libgd, use GD version 1.43.

    Please choose the features that match how libgd was built:
    Build JPEG support? [y] y
    Build FreeType support? [y] n
    Build XPM support? [y] y

    If you experience compile problems, please check the @INC, @LIBPATH and @LIBS
    arrays defined in Makefile.PL and manually adjust, if necessary.

    Checking if your kit is complete...
    Looks good
    Writing Makefile for GD
    cp qd.pl blib/lib/qd.pl
    cp patch_gd.pl blib/lib/patch_gd.pl
    cp GD.pm blib/lib/GD.pm
    AutoSplitting blib/lib/GD.pm (blib/lib/auto/GD)
    cp GD/Polyline.pm blib/lib/GD/Polyline.pm
    /usr/bin/perl -I/usr/lib/perl5/5.6.1/i686-linux -I/usr/lib/perl5/5.6.1 /usr/lib/perl5/5.6.1/ExtUtils/xsubpp -typemap /usr/lib/perl5/5.6.1/ExtUtils/typemap -typemap typemap GD.xs & GD.xsc && mv GD.xsc GD.c
    cc -c -I/usr/local/include -I/usr/local/include/gd -fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -O2 -DVERSION=\&2.01\& -DXS_VERSION=\&2.01\& -fpic -I/usr/lib/perl5/5.6.1/i686-linux/CORE -DHAVE_JPEG -DHAVE_FT GD.c
    GD.xs: In function `gd_cloneDim':
    GD.xs:365: structure has no member named `alpha'
    GD.xs:365: structure has no member named `alpha'
    GD.xs:371: structure has no member named `thick'
    GD.xs:371: structure has no member named `thick'
    GD.xs: In function `XS_GD__Image_copyRotate90':
    GD.xs:933: invalid lvalue in assignment
    GD.xs:933: invalid lvalue in assignment
    GD.xs: In function `XS_GD__Image_copyRotate180':
    GD.xs:954: invalid lvalue in assignment
    GD.xs:954: invalid lvalue in assignment
    GD.xs: In function `XS_GD__Image_copyRotate270':
    GD.xs:975: invalid lvalue in assignment
    GD.xs:975: invalid lvalue in assignment
    GD.xs: In function `XS_GD__Image_copyFlipHorizontal':
    GD.xs:996: invalid lvalue in assignment
    GD.xs:996: invalid lvalue in assignment
    GD.xs: In function `XS_GD__Image_copyFlipVertical':
    GD.xs:1017: invalid lvalue in assignment
    GD.xs:1017: invalid lvalue in assignment
    GD.xs: In function `XS_GD__Image_copyTranspose':
    GD.xs:1038: invalid lvalue in assignment
    GD.xs:1038: invalid lvalue in assignment
    GD.xs: In function `XS_GD__Image_copyReverseTranspose':
    GD.xs:1059: invalid lvalue in assignment
    GD.xs:1059: invalid lvalue in assignment
    GD.xs: In function `XS_GD__Image_rotate180':
    GD.xs:1079: invalid lvalue in assignment
    GD.xs:1079: invalid lvalue in assignment
    GD.xs:1080: invalid lvalue in assignment
    GD.xs:1080: invalid lvalue in assignment
    GD.xs: In function `XS_GD__Image_flipHorizontal':
    GD.xs:1097: invalid lvalue in assignment
    GD.xs:1097: invalid lvalue in assignment
    GD.xs:1098: invalid lvalue in assignment
    GD.xs:1098: invalid lvalue in assignment
    GD.xs: In function `XS_GD__Image_flipVertical':
    GD.xs:1115: invalid lvalue in assignment
    GD.xs:1115: invalid lvalue in assignment
    GD.xs:1116: invalid lvalue in assignment
    GD.xs:1116: invalid lvalue in assignment
    make: *** [GD.o] Error 1
    /usr/bin/make -- NOT OK
    Running make install
    make had returned bad status, install seems impossible
    perlmod--Install done
     
  2. Elena

    Elena Well-Known Member

    Joined:
    Aug 10, 2001
    Messages:
    109
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    California
    Hi

    I think your problem might be that you do not have libgd2.0.1
    This might help you find out what you need to get it to install smoothly: http://search.cpan.org/src/LDS/GD-2.01/README
     
Loading...

Share This Page